// vee - validate表单验证

// 引入插件和注册插件
import Vue from 'vue'
import ValidationProvider from 'vee-validate'
// 中文的提示信息
import zh_CN from "vee-validate/dist/locale/zh_CN.js"
Vue.use(ValidationProvider)

// 提示信息  localize方法 
ValidationProvider.Validator.localize('zh_CN', {
	messages: {
		...zh_CN.messages,
		is: (field) => `${field}必须与密码相同`//修改内置规则的message，让确认密码和密码相同
	},
	//给校验的field属性名映射中文名称
	attributes: {
		phone: "浩霖提示你手机号",
		code: "浩霖提示你验证码",
		password: "浩霖提示你密码",
		password1: "浩霖提示你确认密码",
		ischeck: '协议'
	}
})

	// < input type = "checkbox" v - model="istrue" name = "agree" v - validate="{ required: true, agree: true }" : class="{ invalid: errors.has(' agree') }" />
	// // 自定义校验规则 agree(名字)
	// ValidationProvider.validator.extend('agree', {
	// 	validate: value => {
	// 		return value
	// 	},
	// 	getMessage: field => field + "必须同意"
	// })





