import Vue from "vue";
import Vuex from "vuex"; //需要使用插件一次

// 引入小仓库
import home from "./home/index";
import search from "./search/index";
import detail from "./detail/detail"
import shopcart from "./shopcart/index"
import login from "./login/login"
import address from "./address/address"
import mydingdan from "./mydingdan"

Vue.use(Vuex);

// 对外暴露Store
export default new Vuex.Store({
	// 实现vuex仓库模块式开发存储数据
	modules: { home, search, detail, shopcart, login, address, mydingdan },
});
