const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
	// map文件可以像未加密的代码一样
	// 是用来准确告诉用户哪一行哪一列是有错的
	productionSourceMap: false,
	transpileDependencies: true,
	// 关闭eslint校验
	lintOnSave: false,
	devServer: {
		proxy: {
			// 有api地址就执行
			"/api": {
				// 根路径地址
				target: "http://gmall-h5-api.atguigu.cn",
				// changeOrigin: true,
				// 路径重写
				// pathRewrite: { "^/whlapi": "" },
			},
		},
	},
});
